Skip to content
VirtlixCP

Documentation / API

Auth

Reset Password

POST /auth/password-reset

Request body

Field Type Required Description
email string
type string

Response 200: Password Reset Successfully

Field Type Description
user object
user.email string
user.id integer VirtlixCP-specific unique identifier used for URLs, etc.
user.name string
user.username string

Request body

Field Type Required Description
email string
type string

Response 422: Unprocessable Entity

Single Sign On Link

GET /auth/sso

A Single Sign On Link

Response 200: Single Sign On Link